package io.renren.modules.app.dao;

import io.renren.modules.app.entity.FwxxEntity;
import io.renren.modules.app.entity.GryjpldrtempEntity;
import io.renren.modules.app.entity.HPzEntity;
import io.renren.modules.app.entity.XlkEntity;
import io.renren.modules.app.entity.XmEntity;
import io.renren.modules.app.entity.YwpzEntity;
import io.renren.modules.app.entity.YwpzmxEntity;
import io.renren.modules.app.entity.ZhxxEntity;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

/**
 * 个人维修资金
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-03-22 09:53:01
 */
@Mapper
public interface GrwxzjDao extends BaseMapper<YwpzEntity> {

	// 下拉框查询
	List<XlkEntity> selectdw();

	List<XlkEntity> selectxm(String bm);

	List<XlkEntity> selectzh(String bm);

	List<XlkEntity> selectfwbm(String bm);

	List<XlkEntity> selectyh();

	List<XlkEntity> selectjsfs();

	List<XlkEntity> selectfwxx(String bm);

	// 个人维修资金保存按钮
	void insertgr(YwpzEntity ywpzEntity);

	// void updatefwxx(YwpzEntity ywpzEntity);
	void insertgrmx(YwpzEntity ywpzEntity);

	/**
	 * 分页模糊查询
	 * 
	 * @param
	 * @return
	 */
	List<YwpzEntity> queryByPage(YwpzEntity ywpzEntity);

	// 删除
	void deletemx(String id);

	void deleteywpz(String id);

	void updatefwxxsfyj(String id);

	String queryByCount(String date);

	FwxxEntity selectywpzmx(String id);

	void updatefwxxsfyj2(String id);

	void updatefwxx(FwxxEntity fwxxEntity);

	void updatefwxx222(FwxxEntity fwxxEntity);

	FwxxEntity selectfwxxmph(String id);

	FwxxEntity selectxmmc(String id);

	FwxxEntity selectfwxxbyid(String id);

	List<FwxxEntity> selectfwxxbydhbm(String id);

	String selectdwbmbyxmmc(YwpzEntity ywpzEntity);

	String selectxmbmbyxmmc(YwpzEntity ywpzEntity);

	String selectdhbmbyxmmc(YwpzEntity ywpzEntity);

	String selectdwwwwbmbyxmmc(YwpzEntity ywpzEntity);

	FwxxEntity selectfwbmbyxmmjdh(FwxxEntity fwxxEntity);

	List<ZhxxEntity> selectdhmcbyxmbm(YwpzEntity ywpzEntity);

	List<String> selectfwbylz(String id);

	void insertywpldrjl(String id);

	List<GryjpldrtempEntity> selectgryjpldr();

	List<XmEntity> selectxmxx(String id);

	List<ZhxxEntity> selectdhbmbyxmdc(ZhxxEntity zhxxEntity);

	List<FwxxEntity> selectfwmphmbydhbm(String di);

	void updategrpldrsfcz(GryjpldrtempEntity gryjpldrtempEntity);

	void updategrpldrxmsfcz(GryjpldrtempEntity gryjpldrtempEntity);

	List<String> selectfwbmbydmmph(FwxxEntity fwxxEntity);

	List<GryjpldrtempEntity> selectgryjpldryjfw();

	ZhxxEntity selectdhdw(String id);

	List<GryjpldrtempEntity> selectgryjpl();

	XmEntity selectxmbyxmbm(String id);

	ZhxxEntity selectdhbmbyxm(ZhxxEntity zhxxEntity);

	FwxxEntity selectfwbm2(FwxxEntity fwxxEntity);

	void updategrplcopy(GryjpldrtempEntity gryjpldrtempEntity);

	List<GryjpldrtempEntity> selectloudiaode7562();

	List<GryjpldrtempEntity> selectloudiaode7383();

	void updategr7562(GryjpldrtempEntity gryjpldrtempEntity);

	List<YwpzmxEntity> selectlsj();

	List<YwpzmxEntity> selectxsj();

	YwpzEntity selectfwcfj(String id);

	void insertcfjk(YwpzEntity ywpzEntity);

	List<HPzEntity> SELECTXMDYKM();

	String selectkkkk(String id);

	void insertbeiyong2(HPzEntity hPzEntity);

	void updatezph(YwpzEntity ywpzEntity);

	List<FwxxEntity> selectfwkyzkm();

	FwxxEntity selectfwkfskm(String id);

	void updatefwdeyzkm(FwxxEntity fwxxEntity);

	void updatedjrq(YwpzEntity ywpzEntity);

	void updategryjxx(YwpzEntity ywpzEntity);

	void updategrywpzmx(YwpzEntity ywpzEntity);

	void updatefwxxbjym(YwpzEntity ywpzEntity);

	YwpzmxEntity selectfwsfjq(String id);

	void updatefwsfjq(String id);

	void updatefwsfjq0(String id);

	FwxxEntity selectfwxxbybm(String id);

	List<FwxxEntity> selectallfwxx();

	List<YwpzEntity> selectxtpldr();

	YwpzmxEntity selectywpzmxbydj(String id);

	ZhxxEntity selectzhxxbybm(String id);

	void updatefwxxgrdq(FwxxEntity fwxxEntity);

	void updatezhxxgrdq(ZhxxEntity zhxxEntity);

	void updateywpzje(YwpzEntity ywpzEntity);

	void updateywpzmxbjjeje(YwpzmxEntity ywpzmxEntity);

	List<YwpzEntity> selectdw01();

	List<YwpzEntity> selectdw01djxx(String id);

	void insertfzhsmxdw01(YwpzEntity ywpzEntity);

	void insertfzhsmx1dw01(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPageFZHSMX(YwpzEntity ywpzEntity);

	List<YwpzEntity> queryByPageFZHSYE(YwpzEntity ywpzEntity);

	List<String> listywb();

	List<String> listfzmxb();

	List<YwpzEntity> selectzyxqmc(String id);

	List<YwpzEntity> selectzyxmmc(String id);

	List<YwpzEntity> selectzydhmc(String id);
	
	Map<String, String> selectxmbydj(String id);
	
	String selectxcbydj(String id);
	
	String selectqcbydj(String id);
	
	List<YwpzEntity> selectqqqq(String id);
	
	void insertqqqq(List<YwpzEntity> list);
	
    List<YwpzEntity> selectqqqqww();
	
	void insertqqqqww(List<YwpzEntity> list);
	
	List<YwpzEntity> selectghandcw();
	
	List<YwpzEntity> selectypz(YwpzEntity ywpzEntity);
	
	List<Double> selectcpz(YwpzEntity ywpzEntity);
	
	void inserttemp(YwpzEntity ywpzEntity);
	
	List<HashMap<String, String>> selectxmbm();
	
	List<YwpzEntity> QUERYDW(String kjqj);
	
	List<YwpzEntity> QUERYGR(String kjqj);
	
	List<YwpzEntity> QUERYSY(String kjqj);
	
	List<YwpzEntity> QUERYTK(String kjqj);
	
    List<YwpzEntity> QUERYDWDY(String kjqj);
	
	List<YwpzEntity> QUERYGRDY(String kjqj);
	
	List<YwpzEntity> QUERYSYDY(String kjqj);
	
	List<YwpzEntity> QUERYSYDY2(String kjqj);
	
	List<YwpzEntity> QUERYTKDY(String kjqj);
	
}
